Bug 739910 - gnome-packagekit fails when trying to update - The package id's '' are not valid
Summary: gnome-packagekit fails when trying to update - The package id's '' are not valid
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker RejectedNTH
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 11:57 UTC by Elad Alfassa
Modified: 2013-02-14 01:16 UTC (History)
4 users (show)

Fixed In Version: gnome-packagekit-3.1.92-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 01:16:18 UTC


Attachments (Terms of Use)

Description Elad Alfassa 2011-09-20 11:57:22 UTC
gnome-packagekit fails when trying to update with a strange error:
The package id's '' are not valid

Richard already debugged and fixed this upstream, and a fixed build should be available in koji soon, but I'm filing this bug anyway, because it has to get into stable, and AFAIK it can't, without a blocker bug. 


Blocks F16 Beta, Criteria (from alpha release criteria):
The installed system must be able to download and install updates with yum and the default graphical package manager in all release-blocking desktops.

http://git.gnome.org/browse/gnome-packagekit/commit/?id=0ad1817ff278fd58fe3a998d8bd5c1bea9b59f0e

Comment 1 Richard Hughes 2011-09-20 12:36:11 UTC
This is fixed in gnome-packagekit-3.1.92-2.fc16

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3364102

Thanks,

Richard.

Comment 2 satellitgo 2011-09-20 13:05:34 UTC
I just used Software Update to successfully update an gnome3-shell/ XFCE install (in XFCE.) - 144 updates.
This is an HD install done from a USB dd of f16 RC1 live desktop to a usb HD install done last night.
see https://bugzilla.redhat.com/show_bug.cgi?id=738964#c36

log out/log in works to XFCE but
gnome3-shell still gets Oh no! after updates

#yum update "No Packages marked for Update"

Comment 3 satellitgo 2011-09-20 13:14:36 UTC
gnome3-shell starts after restart (updated kernel) +?

Comment 4 Adam Williamson 2011-09-21 02:10:15 UTC
voting -1 blocker: the broken gnome-packagekit is not in the beta package set, so we don't need to worry about this. the breakage happened in 3.1.90, we have 3.1.3 in beta.

Comment 5 Tim Flink 2011-09-21 18:24:25 UTC
Ah, that would explain why I'm not able to reproduce it.

Also -1 blocker for the same reason. This bug isn't present in beta and therefore it doesn't make sense to pull in the fix for beta.

Comment 6 Adam Williamson 2011-09-22 01:04:57 UTC
Discussed at the 2011-09-21 go/no-go meeting (note: in #fedora-meeting-1),
acting as a blocker review meeting. Agreed this is not blocker or NTH material as the affected gnome-packagekit build is not in the Beta package set.

Comment 7 Fedora End Of Life 2013-01-16 22:43:57 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora End Of Life 2013-02-14 01:16:22 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.